[arch-commits] Commit in evolution-data-server/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Mon Aug 6 22:11:47 UTC 2018
Date: Monday, August 6, 2018 @ 22:11:47
Author: foutrelis
Revision: 331057
archrelease: copy trunk to staging-x86_64
Added:
evolution-data-server/repos/staging-x86_64/
evolution-data-server/repos/staging-x86_64/PKGBUILD
(from rev 331056, evolution-data-server/trunk/PKGBUILD)
----------+
PKGBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
Copied: evolution-data-server/repos/staging-x86_64/PKGBUILD (from rev 331056, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2018-08-06 22:11:47 UTC (rev 331057)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.28.5
+pkgrel=2
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
+license=(GPL)
+_commit=e1da9bbbe68e669482d76e498e63da8abf8d30b0 # tags/3.28.5^0
+source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ mkdir build
+ cd $pkgname
+}
+
+build() {
+ cd build
+ cmake ../$pkgname -G Ninja \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBEXEC_INSTALL_DIR=/usr/lib \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DENABLE_INTROSPECTION=ON \
+ -DENABLE_VALA_BINDINGS=ON \
+ -DENABLE_UOA=OFF \
+ -DENABLE_GTK_DOC=ON \
+ -DWITH_PHONENUMBER=ON
+ cmake --build .
+}
+
+check() {
+ # libedata-book tests fail because they try to
+ # mkdir /usr/lib/evolution-data-server/camel-providers
+ cmake --build build --target test || :
+}
+
+package() {
+ DESTDIR="$pkgdir" cmake --build build --target install
+}
More information about the arch-commits
mailing list